MKFIFO(1)

NOMBRE
mkfifo - hace FIFOs (tuberías con nombre)

SINOPSIS
mkfifo [opciones] fichero...

Opciones de POSIX: [-m modo]

Opciones de GNU (en la forma más corta): [-m modo] [--help] [--version] [--]

DESCRIPCIÓN
mkfifo crea FIFOs (también llamados "tuberías con nombre") con los nombres de fichero especificados.

Un "FIFO" es un tipo de fichero especial que permite a procesos independientes comunicarse. Un proceso abre el fichero FIFO para escribir, y otro para leer, tras lo cual los datos pueden fluir como con las tuberías sin nombre usuales en shells o donde sea.

Por omisión, los permisos de los FIFOs creados son 0666 (`a+rw') menos los bits puestos a 1 en la umask.

OPCIONES

-m modo, --mode=modo
    Establece los permisos de los FIFOs creados a modo, que puede ser simbólico como en chmod(1) y emplea el modo predeterminado como punto de partida.

OPCIONES ESTÁNDARES DE GNU

--help
    Muestra un mensaje en la salida estándar sobre el modo de empleo y acaba con estado de éxito.

--version
    Muestra en la salida estándar información sobre la versión, y luego acaba con estado de éxito.

--  Termina con la lista de opciones.

ENTORNO
Las variables LANG, LC_ALL, LC_CTYPE y LC_MESSAGES tienen los significados usuales.

CONFORME A
POSIX 1003.2.

OBSERVACIONES
Esta página describe mkfifo según se encuentra en el paquete fileutils-4.0; otras versiones pueden diferir un poco. Envíe por correo electrónico correcciones y adiciones a la dirección aeb@cwi.nl. Informe de fallos en el programa a fileutils-bugs@gnu.ai.mit.edu.